complexType "SplitSettlement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | splitSettlementAmount?, beneficiaryBank?, beneficiary?
</...>

Content Model Elements (3):

  beneficiary (in splitSettlement), beneficiaryBank (in splitSettlement), | splitSettlementAmount

All Direct / Indirect Based Elements (1):

  splitSettlement

Known Usage Locations

- As direct type of elements (1):
  splitSettlement

Annotation
A type that supports the division of a gross settlement amount into a number of split settlements, each requiring its own settlement instruction.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="SplitSettlement"> <xsd:sequence> <xsd:element minOccurs="0" name="splitSettlementAmount" type="Money"/> <xsd:element minOccurs="0" name="beneficiaryBank" type="Routing"/> <xsd:element minOccurs="0" name="beneficiary" type="Routing"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
beneficiary

  Type: | Routing, complex content

  The ultimate beneficiary of the funds. The beneficiary can be identified either by an account at the beneficiaryBank (qv) or by explicit routingInformation. This element provides for the latter.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="beneficiary" type="Routing"/>

beneficiaryBank

  Type: | Routing, complex content

  The bank that acts for the ultimate beneficiary of the funds in receiving payments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="beneficiaryBank" type="Routing"/>

splitSettlementAmount

  Type: | Money, complex content

  One of the monetary amounts in a split settlement payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="splitSettlementAmount" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.